Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.logging
Class Logger

    java.lang.Object
      |
      +--org.huihoo.jfox.logging.Logger

public class Logger
extends java.lang.Object

Author:
  Young Yang

Method Summary
`void` | `debug(java.lang.Object message)` Log a message with debug log level.
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` Log an error with debug log level.
`void` | `error(java.lang.Object message)` Log a message with error log level.
`void` | `error(java.lang.Object message, java.lang.Throwable t)` Log an error with error log level.
`void` | `fatal(java.lang.Object message)` Log a message with fatal log level.
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` Log an error with fatal log level.
`static Logger` | `getLogger(java.lang.String name)`
`void` | `info(java.lang.Object message)` Log a message with info log level.
`void` | `info(java.lang.Object message, java.lang.Throwable t)` Log an error with info log level.
`static void` | `main(java.lang.String[] args)`
`void` | `warn(java.lang.Object message)` Log a message with warn log level.
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` Log an error with warn log level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogger

    public static Logger getLogger(java.lang.String name)

### debug

    public void debug(java.lang.Object message)

  Log a message with debug log level.

  Parameters:
    `message` - log this message

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with debug log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### info

    public void info(java.lang.Object message)

  Log a message with info log level.

  Parameters:
    `message` - log this message

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable t)

  Log an error with info log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### warn

    public void warn(java.lang.Object message)

  Log a message with warn log level.

  Parameters:
    `message` - log this message

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable t)

  Log an error with warn log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### error

    public void error(java.lang.Object message)

  Log a message with error log level.

  Parameters:
    `message` - log this message

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with error log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### fatal

    public void fatal(java.lang.Object message)

  Log a message with fatal log level.

  Parameters:
    `message` - log this message

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with fatal log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD